Subject: bug#61196: 30.0.50; X11 rendering of horizontal line in log-edit mode fails with some fonts

From: Gregory Heytings <[email-masked]>
Date: Wed, 01 Feb 2023 10:44:47 +0000

>
> Hi. I'm using a bleeding-edge build of emacs from git, but this 
> particular issue I've been seeing for maybe 6 months now, or maybe even 
> a year.
>

Are you sure it's not much more than a year?  Here I can reproduce the bug with Emacs 24, 25, 26, 27, 28 and 29.  However, I observe that even though I do have a font matching -adobe-courier-medium-r-*-*-12-*-*-*-*-*-iso8859-*, Emacs selects the x:-urw-nimbus mono l-regular-r-normal--12-87-100-100-p-70-iso8859-1 font instead.